#include <bits/stdc++.h>
using namespace std;

#define fr(n) for(int i = 0; i<n; i++)
#define x first
#define y second
#define srt(v) sort(v.begin(), v.end())
#define ll long long
#define vi vector<int>
#define vpi vector<pi>
#define vvi vector<vi>
#define pi pair<int,int>
#define vll vector<ll>
const ll mod = 1000000007;

__int128 find_sum(__int128 a, __int128 b)
{
    return b;
}